# Change the wording of one section of a draft

`PATCH /compliance/legal/documents/{doc}/versions/{n}/sections/{clause}` · Rivier · compliance

Change the wording of one section of a draft; an edit sends an approved version back to draft.

- Scope: compliance:write
- Mcp: rivier_legal_edit_section
- Graphql: Mutation.complianceLegalSectionEdit
- Sdk: compliance.legalSection.edit
- Cli: compliance legal section edit

## Parameters

- `doc` (path, required), string
- `n` (path, required), integer
- `clause` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "title": {
      "type": "string",
      "maxLength": 200
    },
    "body": {
      "type": "array",
      "items": {
        "type": "string",
        "maxLength": 4000
      },
      "maxItems": 40
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/compliance/legal/documents/{doc}/versions/{n}/sections/{clause}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "body": [
    "string"
  ]
}'
```
